Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.Designer.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.Designer.cs	(revision 88)
@@ -48,12 +48,13 @@
             this.dataGridViewTextBoxColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col99 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.dgv1 = new System.Windows.Forms.DataGridView();
+            this.btnAccept = new System.Windows.Forms.Button();
             this.ConstructionCode = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col000 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col001 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col002 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.ReadOnly = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.btnAccept = new System.Windows.Forms.Button();
+            this.KeyNo = new System.Windows.Forms.DataGridViewTextBoxColumn();
             ((System.ComponentModel.ISupportInitialize)(this.dgv2)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
             this.SuspendLayout();
@@ -219,7 +220,8 @@
             this.col000,
             this.col001,
             this.col002,
-            this.ReadOnly});
+            this.ReadOnly,
+            this.KeyNo});
             this.dgv1.Location = new System.Drawing.Point(12, 51);
             this.dgv1.Name = "dgv1";
             dataGridViewCellStyle8.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
@@ -240,6 +242,18 @@
             this.dgv1.CellValueChanged += new System.Windows.Forms.DataGridViewCellEventHandler(this.dgv1_CellValueChanged);
             this.dgv1.SelectionChanged += new System.EventHandler(this.dgv1_SelectionChanged);
             // 
+            // btnAccept
+            // 
+            this.btnAccept.BackColor = System.Drawing.Color.Lime;
+            this.btnAccept.ForeColor = System.Drawing.Color.Black;
+            this.btnAccept.Location = new System.Drawing.Point(376, 270);
+            this.btnAccept.Name = "btnAccept";
+            this.btnAccept.Size = new System.Drawing.Size(120, 32);
+            this.btnAccept.TabIndex = 10;
+            this.btnAccept.Text = "登　録";
+            this.btnAccept.UseVisualStyleBackColor = false;
+            this.btnAccept.Click += new System.EventHandler(this.btnAccept_Click);
+            // 
             // ConstructionCode
             // 
             this.ConstructionCode.HeaderText = "ConstructionCode";
@@ -286,17 +300,14 @@
             this.ReadOnly.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.ReadOnly.Visible = false;
             // 
-            // btnAccept
+            // KeyNo
             // 
-            this.btnAccept.BackColor = System.Drawing.Color.Lime;
-            this.btnAccept.ForeColor = System.Drawing.Color.Black;
-            this.btnAccept.Location = new System.Drawing.Point(376, 270);
-            this.btnAccept.Name = "btnAccept";
-            this.btnAccept.Size = new System.Drawing.Size(120, 32);
-            this.btnAccept.TabIndex = 10;
-            this.btnAccept.Text = "登　録";
-            this.btnAccept.UseVisualStyleBackColor = false;
-            this.btnAccept.Click += new System.EventHandler(this.btnAccept_Click);
+            this.KeyNo.HeaderText = "KeyNo";
+            this.KeyNo.Name = "KeyNo";
+            this.KeyNo.ReadOnly = true;
+            this.KeyNo.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.KeyNo.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.KeyNo.Visible = false;
             // 
             // FrmRegField
             // 
@@ -346,5 +357,6 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn col001;
         private System.Windows.Forms.DataGridViewTextBoxColumn col002;
         private System.Windows.Forms.DataGridViewTextBoxColumn ReadOnly;
+        private System.Windows.Forms.DataGridViewTextBoxColumn KeyNo;
     }
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmRegField.cs	(revision 88)
@@ -31,7 +31,8 @@
             No,                         // 行番号
             ConstructionName,           // 現場名
             BillPrice,                  // 金額
-            ReadOnly,
+            ReadOnly,                   // 読み取り専用フラグ
+            LineCount,                  // 行番号
         }
         #endregion
 
@@ -106,6 +107,68 @@
         }
         #endregion
 
+        #region キーを作成する
+        /// <summary>
+        /// キーを作成する
+        /// </summary>
+        /// <param name="nSeqNo"></param>
+        /// <param name="nLineCount"></param>
+        /// <returns></returns>
+        private int getKeyNo(int nSeqNo, int nLineCount)
+        {
+            int nKeyNo = nSeqNo * 100 + nLineCount;
+
+            return nKeyNo;
+        }
+        #endregion
+
+        #region 該当工事既存判定
+        /// <summary>
+        /// 該当工事既存判定
+        /// </summary>
+        /// <param name="nConstructionCode"></param>
+        /// <returns></returns>
+        private bool isExistConstructionRow(int nConstructionCode)
+        {
+            foreach (DataGridViewRow r in m_HtGridRowConstructionCode.Values)
+            {
+                if (int.Parse(r.Cells[(int)ColumnIndex.ConstructionCode].Value.ToString()) == nConstructionCode)
+                {
+                    return true;
+                }
+            }
+
+            return false;
+        }
+        #endregion
+
+        #region 行を取得
+        /// <summary>
+        /// 行を取得
+        /// </summary>
+        /// <param name="nKeyNo"></param>
+        /// <returns></returns>
+        private DataGridViewRow GetConstructionRow(int nKeyNo)
+        {
+
+            foreach (DataGridViewRow r in m_HtGridRowConstructionCode.Values)
+            {
+                int wrk = int.Parse(r.Cells[(int)ColumnIndex.LineCount].Value.ToString());
+
+                if( wrk == -1 ){
+                    continue;
+                }
+
+                if ( wrk == nKeyNo)
+                {
+                    return r;
+                }
+            }
+
+            return null;
+        }
+        #endregion
+
         #region 現場追加ボタン押下
         /// <summary>
         /// 現場追加ボタン押下
@@ -133,23 +196,25 @@
                 // 選択結果判定 OKなら以下の処理を実行する
                 if (frmConstructionDiag.EndButton == DialogResult.OK)
                 {
-                    // 同じ現場コードの行を探す
-                    if (!m_HtGridRowConstructionCode.ContainsKey(frmConstructionDiag.ConstructionCode))
+                    if (isExistConstructionRow(frmConstructionDiag.ConstructionCode) == true)
                     {
-                        // 見つからなかった場合は現場を追加
+                        if (MessageBox.Show("既に同一工事が存在しますが追加してよろしいですか？", "現場追加", MessageBoxButtons.YesNo, MessageBoxIcon.Question) == DialogResult.No)
+                        {
+                            return;
+                        }
+                    }
 
-                        // 行番号付番
-                        int rowCount = dgv1.RowCount - 1;
+                    // 行番号付番
+                    int rowCount = dgv1.RowCount - 1;
 
-                        // 現場の追加
-                        dgv1.Rows.Add(frmConstructionDiag.ConstructionCode, rowCount, frmConstructionDiag.ConstructionName, 0, false);
-                        dgv1.Rows[dgv1.RowCount - 1].Resizable = DataGridViewTriState.False;
-                        dgv1[(int)ColumnIndex.BillPrice, dgv1.RowCount - 1].ReadOnly = false;
-                        //dgv1[(int)ColumnIndex.BillPrice, dgv1.RowCount - 1].Style.Format = "#,0";
+                    // 現場の追加
+                    dgv1.Rows.Add(frmConstructionDiag.ConstructionCode, rowCount, frmConstructionDiag.ConstructionName, 0, false, -1);
+                    dgv1.Rows[dgv1.RowCount - 1].Resizable = DataGridViewTriState.False;
+                    dgv1[(int)ColumnIndex.BillPrice, dgv1.RowCount - 1].ReadOnly = false;
+                    //dgv1[(int)ColumnIndex.BillPrice, dgv1.RowCount - 1].Style.Format = "#,0";
 
-                        // ハッシュテーブルに追加
-                        m_HtGridRowConstructionCode.Add(frmConstructionDiag.ConstructionCode, dgv1.Rows[dgv1.RowCount - 1]);
-                    }
+                    // ハッシュテーブルに追加
+                    m_HtGridRowConstructionCode.Add(rowCount, dgv1.Rows[dgv1.RowCount - 1]);
 
                 }
 
@@ -182,7 +247,7 @@
                 foreach (DataGridViewRow gridRow in dgv1.SelectedRows)
                 {
                     // ハッシュテーブルから選択行を削除する
-                    m_HtGridRowConstructionCode.Remove((int)gridRow.Cells[(int)ColumnIndex.ConstructionCode].Value);
+                    m_HtGridRowConstructionCode.Remove((int)gridRow.Cells[(int)ColumnIndex.No].Value);
 
                     // Gridから選択行を削除する
                     dgv1.Rows.Remove(gridRow);
@@ -243,10 +308,12 @@
                         continue;
                     }
 
-                    if (m_HtGridRowConstructionCode.ContainsKey(detail.ConstructionCode))
+                    int keyNo = getKeyNo(m_ConstructionFieldNameHeader.SeqNo, detail.LineCount);
+
+                    DataGridViewRow gridRow = GetConstructionRow(keyNo);
+
+                    if (gridRow != null)
                     {
-                        var gridRow = m_HtGridRowConstructionCode[detail.ConstructionCode] as DataGridViewRow;
-
                         // 見つかったら 金額を取得、行を削除する
                         detail.BillPrice = CommonMotions.cnvInt(gridRow.Cells[(int)ColumnIndex.BillPrice].Value);
                         if (detail.BillPrice == 0)
@@ -504,21 +571,24 @@
                 dgv2.Rows.Add(0, "", "不明", 0);
 
                 // 各現場の行を追加
-                int rowCount = 0;
+                int rowCount = 1;
                 foreach (var detail in m_ConstructionFieldNameHeader.ConstructionFieldNameDetails)
                 {
-                    if(detail.ConstructionCode != 0 )
+                    if (detail.ConstructionCode != 0)
                     {
                         // 各個現場の行を追加
-                        dgv1.Rows.Add(detail.ConstructionCode, ++rowCount, detail.FieldName, detail.BillPrice, detail.ReadOnly);
+                        dgv1.Rows.Add(detail.ConstructionCode, rowCount, detail.FieldName, detail.BillPrice, detail.ReadOnly, getKeyNo(m_ConstructionFieldNameHeader.SeqNo, detail.LineCount));
                         dgv1.Rows[dgv1.RowCount - 1].Resizable = DataGridViewTriState.False;
                         dgv1.Rows[dgv1.RowCount - 1].Cells[(int)ColumnIndex.BillPrice].ReadOnly = detail.ReadOnly;         // ReadOnlyフラグがtrueなら金額のセルを編集不可にする
+
+//                        m_HtDetailLineCount.Add(rowCount, detail);
+                        m_HtGridRowConstructionCode.Add(rowCount, dgv1.Rows[dgv1.RowCount - 1]);
+                        rowCount++;
                     }
-
-                    // ハッシュテーブルの追加
-                    //m_HtDetailLineCount.Add(detail.LineCount, detail); //Update Mjurakami
-                    m_HtDetailLineCount.Add(detail.ConstructionCode, detail);
-                    m_HtGridRowConstructionCode.Add(detail.ConstructionCode, dgv1.Rows[dgv1.RowCount - 1]);
+                    else
+                    {
+                        m_HtDetailLineCount.Add(0, detail);
+                    }
                 }
 
                 // 不明行を再計算して表示
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRegField.cs	(revision 88)
@@ -26,9 +26,12 @@
 {
     public partial class FrmSelectRegField : Form
     {
+        #region 使用定義
         //log4netログを使用する
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
 
+        #region 定数
         // 列インデックスenum ※■は非表示
         private enum ColumnIndex
         {
@@ -56,13 +59,9 @@
             PersonName,
             DepartmentCode,
         }
+        #endregion
 
-        // 発注者区分
-        public int m_OrderersDivision = 0;
-
-        // 発注者コード
-        public int m_OrderersCode = 0;
-
+        #region クラス定義
         public class MyFieldData
         {
             public int PersonCode { set; get; }
@@ -74,30 +73,46 @@
             public string ConstructionName_Raw { set; get; }
             public int DepartmentCode { set; get; }
             public string BillCreationDate { set; get; }
-            public int BillPrice { set; get; }
-            public int TaxPrice { set; get; }
-            public int DepositAmount { set; get; }
+            public long BillPrice { set; get; }
+            public long TaxPrice { set; get; }
+            public long DepositAmount { set; get; }
             public bool DeleteFlg { set; get; }
             public bool ReadOnly { set; get; }
         }
+        #endregion
 
+        #region 変数
+
+        // 発注者区分
+        public int m_OrderersDivision = 0;
+
+        // 発注者コード
+        public int m_OrderersCode = 0;
+
         public List<MyFieldData> m_lstMyField = new List<MyFieldData>();
 
         // 終了状態フラグ
         private DialogResult m_EndButton = DialogResult.None;
 
+        #endregion
+
+        #region プロパティ
         // 終了ボタン押下
         public DialogResult EndButton
         {
             get { return m_EndButton; }
         }
+        #endregion
 
+        #region コンストラクタ
         // フォーム初期化
         public FrmSelectRegField()
         {
             InitializeComponent();
         }
+        #endregion
 
+        #region フォームロード
         // フォームロード
         private void FrmRegField_Load(object sender, EventArgs e)
         {
@@ -110,7 +125,9 @@
             // 現場名表示
             ItemListDisplay();
         }
+        #endregion
 
+        #region 現場追加ボタン押下
         // 現場追加ボタン押下
         private void btnAdd_Click(object sender, EventArgs e)
         {
@@ -137,7 +154,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 現場削除ボタン押下
         // 現場削除ボタン押下
         private void btnDelete_Click(object sender, EventArgs e)
         {
@@ -184,7 +203,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 登録ボタン押下
         // 登録ボタン押下
         private void btnAccept_Click(object sender, EventArgs e)
         {
@@ -199,7 +220,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 終了ボタン押下
         // 終了ボタン押下
         private void btnEnd_Click(object sender, EventArgs e)
         {
@@ -213,7 +236,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 一覧選択行変更時処理
         // 一覧選択行変更時処理
         private void dgv1_SelectionChanged(object sender, EventArgs e)
         {
@@ -239,7 +264,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region Gridセル値変更時処理
         // Gridセル値変更時処理
         private void dgv1_CellValueChanged(object sender, DataGridViewCellEventArgs e)
         {
@@ -270,7 +297,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 発注者名表示
         // 発注者名表示
         private void DispOrdersName()
         {
@@ -345,7 +374,9 @@
                 IoOm = null;
             }
         }
+        #endregion
 
+        #region 不明金額の再計算および表示
         // 不明金額の再計算および表示
         private void CalcUnknownBillPrice()
         {
@@ -352,10 +383,10 @@
             try
             {
                 // 請求金額合計を算出
-                int UnknownPrice = CommonMotions.cnvInt(dgv1.Rows[0].Cells[(int)ColumnIndex.BillPrice].Value);
+                long UnknownPrice = CommonMotions.cnvLong(dgv1.Rows[0].Cells[(int)ColumnIndex.BillPrice].Value);
                 for (int rowIndex = 1; rowIndex < dgv1.RowCount; rowIndex++)
                 {
-                    UnknownPrice -= CommonMotions.cnvInt(dgv1.Rows[rowIndex].Cells[(int)ColumnIndex.BillPrice].Value);
+                    UnknownPrice -= CommonMotions.cnvLong(dgv1.Rows[rowIndex].Cells[(int)ColumnIndex.BillPrice].Value);
                 }
 
                 // 不明行の金額欄に値をセット
@@ -376,7 +407,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 現場一覧表表示
         // 現場一覧表表示
         private void ItemListDisplay()
         {
@@ -395,8 +428,8 @@
                 dgv2.Columns[(int)ColumnIndex.BillPrice].DefaultCellStyle.Format = "#,0";
 
                 // 入金金額合計、他担当割り当て済み金額を算出
-                int TotalPrice = 0;
-                int OtherParsonPrice = 0;
+                long TotalPrice = 0;
+                long OtherParsonPrice = 0;
                 foreach(MyFieldData MyData in m_lstMyField)
                 {
                     TotalPrice += MyData.DepositAmount;
@@ -446,7 +479,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 現場登録ダイアログクローズ通知
         // 現場登録ダイアログクローズ通知
         private void NotifyEditFld_FormClosed(object sender, FormClosedEventArgs e)
         {
@@ -521,5 +556,7 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/FrmSelectRequest.cs	(revision 88)
@@ -107,9 +107,9 @@
             public int OrderersCode { set; get; }
             public string FieldName { set; get; }
             public string BillCreationDate { set; get; }
-            public int BillTotalPrice { set; get; }
-            public int BillPrice { set; get; }
-            public int TaxPrice { set; get; }
+            public long BillTotalPrice { set; get; }
+            public long BillPrice { set; get; }
+            public long TaxPrice { set; get; }
             public string PersonName { set; get; }
             public int DepartmentCode { set; get; }
         }
@@ -236,9 +236,9 @@
                                 OrderersCode = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.OrderersCode].Value),
                                 FieldName = CommonMotions.cnvString(dgv.Rows[Index].Cells[(int)DispColumn.FieldName].Value),
                                 BillCreationDate = CommonMotions.cnvString(dgv.Rows[Index].Cells[(int)DispColumn.BillCreationDate].Value),
-                                BillTotalPrice = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.BillTotalPrice].Value),
-                                BillPrice = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.BillPrice].Value),
-                                TaxPrice = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.TaxPrice].Value),
+                                BillTotalPrice = CommonMotions.cnvLong(dgv.Rows[Index].Cells[(int)DispColumn.BillTotalPrice].Value),
+                                BillPrice = CommonMotions.cnvLong(dgv.Rows[Index].Cells[(int)DispColumn.BillPrice].Value),
+                                TaxPrice = CommonMotions.cnvLong(dgv.Rows[Index].Cells[(int)DispColumn.TaxPrice].Value),
                                 PersonName = CommonMotions.cnvString(dgv.Rows[Index].Cells[(int)DispColumn.PersonName].Value),
                                 DepartmentCode = CommonMotions.cnvInt(dgv.Rows[Index].Cells[(int)DispColumn.DepartmentCode].Value),
                             });
@@ -465,7 +465,23 @@
                 sql.AppendFormat(" ReqHead.OrderersDivision = {0} ", OrderDiv);
                 sql.AppendFormat(" AND ReqHead.OrderersCode = {0} ", OrderCode);
                 sql.Append(" AND ReqHead.AssignedFlg = 0 ");
-                sql.AppendFormat(" AND EXISTS ( SELECT * FROM PersonDepartmentMaster AS PsnDep WHERE PsnDep.PersonCode = {0} AND Prsn.DepartmentCode = PsnDep.DepartmentCode ) ", CommonMotions.LoginUserData.PersonCode);
+
+
+                // ログインユーザの保護区分範囲が複数部署対象の場合
+                if (CommonMotions.LoginUserSecurity.SecRange == (int)ClsSecurityPermission.SecRangeType.MultiDepartment)
+                {
+                    sql.AppendFormat(" AND EXISTS ( SELECT * FROM PersonDepartmentMaster AS PsnDep WHERE PsnDep.PersonCode = {0} AND Prsn.DepartmentCode = PsnDep.DepartmentCode ) ", CommonMotions.LoginUserData.PersonCode);
+                }
+                // ログインユーザの保護区分範囲が自部署のみ対象の場合
+                else if (CommonMotions.LoginUserSecurity.SecRange == (int)ClsSecurityPermission.SecRangeType.OneDepartment)
+                {
+                    sql.AppendFormat(" AND EXISTS ( SELECT * FROM PersonDepartmentMaster AS PsnDep WHERE PsnDep.PersonCode = {0} AND Prsn.DepartmentCode = PsnDep.DepartmentCode AND PsnDep.AffiliationFlg = 1 ) ", CommonMotions.LoginUserData.PersonCode);
+                }
+                // ログインユーザの保護区分範囲が担当分のみ対象の場合
+                else if (CommonMotions.LoginUserSecurity.SecRange == (int)ClsSecurityPermission.SecRangeType.InCharge)
+                {
+                    sql.AppendFormat(" AND ( Info.ConstructionPersonCode = {0} OR Info.ConstrSubPersonCode = {0} OR Info.ConstructionInstructor = {0} ) ", CommonMotions.LoginUserData.PersonCode);
+                }
                 sql.Append(" ORDER BY ReqHead.RequestNo ");
 
                 // データ取得
@@ -495,9 +511,9 @@
                         dgv.Rows[LineCnt].Cells[(int)DispColumn.FieldName].Value += "（" + CommonMotions.cnvInt(work[(int)ClickGetData.OrderNo]).ToString() + "回目）";
                     }
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.BillCreationDate].Value = CommonMotions.cnvString(work[(int)ClickGetData.BillCreationDate]);
-                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillTotalPrice].Value = CommonMotions.cnvInt(work[(int)ClickGetData.BillTotalPrice]).ToString("#,###,###,##0");
-                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillPrice].Value = CommonMotions.cnvInt(work[(int)ClickGetData.BillPrice]);
-                    dgv.Rows[LineCnt].Cells[(int)DispColumn.TaxPrice].Value = CommonMotions.cnvInt(work[(int)ClickGetData.TaxPrice]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillTotalPrice].Value = CommonMotions.cnvLong(work[(int)ClickGetData.BillTotalPrice]).ToString("#,###,###,##0");
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.BillPrice].Value = CommonMotions.cnvLong(work[(int)ClickGetData.BillPrice]);
+                    dgv.Rows[LineCnt].Cells[(int)DispColumn.TaxPrice].Value = CommonMotions.cnvLong(work[(int)ClickGetData.TaxPrice]);
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.Select].Value = false;
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.PersonName].Value = CommonMotions.cnvString(work[(int)ClickGetData.PersonName]);
                     dgv.Rows[LineCnt].Cells[(int)DispColumn.DepartmentCode].Value = CommonMotions.cnvInt(work[(int)ClickGetData.DepartmentCode]);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.Designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.Designer.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestEntry/FrmEntryReqSelOrderer.Designer.cs	(revision 88)
@@ -35,8 +35,6 @@
             this.label4 = new System.Windows.Forms.Label();
             this.cbReqMonth = new System.Windows.Forms.ComboBox();
             this.dgv1 = new System.Windows.Forms.DataGridView();
-            this.btnSelRequest = new System.Windows.Forms.Button();
-            this.btnEnd = new System.Windows.Forms.Button();
             this.col1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -44,6 +42,8 @@
             this.col5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.col7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.btnSelRequest = new System.Windows.Forms.Button();
+            this.btnEnd = new System.Windows.Forms.Button();
             ((System.ComponentModel.ISupportInitialize)(this.dgv1)).BeginInit();
             this.SuspendLayout();
             // 
@@ -56,7 +56,7 @@
             this.label4.Location = new System.Drawing.Point(12, 9);
             this.label4.Name = "label4";
             this.label4.Size = new System.Drawing.Size(100, 23);
-            this.label4.TabIndex = 22;
+            this.label4.TabIndex = 0;
             this.label4.Text = "請求月";
             this.label4.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
@@ -68,7 +68,7 @@
             this.cbReqMonth.Location = new System.Drawing.Point(118, 9);
             this.cbReqMonth.Name = "cbReqMonth";
             this.cbReqMonth.Size = new System.Drawing.Size(109, 23);
-            this.cbReqMonth.TabIndex = 23;
+            this.cbReqMonth.TabIndex = 1;
             this.cbReqMonth.SelectedIndexChanged += new System.EventHandler(this.cbReqMonth_SelectedIndexChanged);
             // 
             // dgv1
@@ -102,38 +102,9 @@
             this.dgv1.RowTemplate.Height = 21;
             this.dgv1.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
             this.dgv1.Size = new System.Drawing.Size(661, 272);
-            this.dgv1.TabIndex = 24;
+            this.dgv1.TabIndex = 2;
             this.dgv1.SelectionChanged += new System.EventHandler(this.dgv1_SelectionChanged);
             // 
-            // btnSelRequest
-            // 
-            this.btnSelRequest.BackColor = System.Drawing.Color.Blue;
-            this.btnSelRequest.Cursor = System.Windows.Forms.Cursors.Default;
-            this.btnSelRequest.Enabled = false;
-            this.btnSelRequest.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnSelRequest.ForeColor = System.Drawing.Color.White;
-            this.btnSelRequest.Location = new System.Drawing.Point(427, 322);
-            this.btnSelRequest.Name = "btnSelRequest";
-            this.btnSelRequest.Size = new System.Drawing.Size(120, 30);
-            this.btnSelRequest.TabIndex = 25;
-            this.btnSelRequest.Text = "請求選択";
-            this.btnSelRequest.UseVisualStyleBackColor = false;
-            this.btnSelRequest.Click += new System.EventHandler(this.btnSelRequest_Click);
-            // 
-            // btnEnd
-            // 
-            this.btnEnd.BackColor = System.Drawing.Color.Red;
-            this.btnEnd.Cursor = System.Windows.Forms.Cursors.Default;
-            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnEnd.ForeColor = System.Drawing.Color.Black;
-            this.btnEnd.Location = new System.Drawing.Point(553, 322);
-            this.btnEnd.Name = "btnEnd";
-            this.btnEnd.Size = new System.Drawing.Size(120, 30);
-            this.btnEnd.TabIndex = 26;
-            this.btnEnd.Text = "終　了";
-            this.btnEnd.UseVisualStyleBackColor = false;
-            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
-            // 
             // col1
             // 
             this.col1.HeaderText = "請求先";
@@ -200,6 +171,35 @@
             this.col7.Resizable = System.Windows.Forms.DataGridViewTriState.False;
             this.col7.Visible = false;
             // 
+            // btnSelRequest
+            // 
+            this.btnSelRequest.BackColor = System.Drawing.Color.Blue;
+            this.btnSelRequest.Cursor = System.Windows.Forms.Cursors.Default;
+            this.btnSelRequest.Enabled = false;
+            this.btnSelRequest.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnSelRequest.ForeColor = System.Drawing.Color.White;
+            this.btnSelRequest.Location = new System.Drawing.Point(427, 322);
+            this.btnSelRequest.Name = "btnSelRequest";
+            this.btnSelRequest.Size = new System.Drawing.Size(120, 30);
+            this.btnSelRequest.TabIndex = 3;
+            this.btnSelRequest.Text = "請求選択";
+            this.btnSelRequest.UseVisualStyleBackColor = false;
+            this.btnSelRequest.Click += new System.EventHandler(this.btnSelRequest_Click);
+            // 
+            // btnEnd
+            // 
+            this.btnEnd.BackColor = System.Drawing.Color.Red;
+            this.btnEnd.Cursor = System.Windows.Forms.Cursors.Default;
+            this.btnEnd.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnEnd.ForeColor = System.Drawing.Color.Black;
+            this.btnEnd.Location = new System.Drawing.Point(553, 322);
+            this.btnEnd.Name = "btnEnd";
+            this.btnEnd.Size = new System.Drawing.Size(120, 30);
+            this.btnEnd.TabIndex = 4;
+            this.btnEnd.Text = "終　了";
+            this.btnEnd.UseVisualStyleBackColor = false;
+            this.btnEnd.Click += new System.EventHandler(this.btnEnd_Click);
+            // 
             // FrmEntryReqSelOrderer
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(9F, 15F);
